<div class="content__item content__item--border bg__content--default">
  <app-loading *ngIf="isLoadingPage"></app-loading>

  <!-- Form Search -->
  <form nz-form [formGroup]="form" style="margin-bottom: 8px">
    <div nz-row [nzGutter]="[30,30]">
      <!--    Form tìm kiếm -->
      <!--Đơn vị-->
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <org-data-picker
          mbLabelText="{{'staffManager.report.organization' | translate}}"
          formControlName='org'
        >
        </org-data-picker>
      </div>

      <!--Đối tượng-->
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <mb-select-check-able
          [mbKeyValueStringType]="true"
          mbPlaceholder="{{'staffManager.report.employeeType' | translate}}"
          [mbDataSelects]='listEmpTypeCode'
          mbLabelText="{{'staffManager.report.employeeType' | translate}}"
          (mbEventEmit)="setFormValue($event, 'empTypeCodes')"
          formControlName='empTypeCodes'></mb-select-check-able>
      </div>

      <!--Nhóm vị trí -->
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <mb-select-check-able formControlName='positionGroupIds'
                              [mbKeyValueStringType]="true"
                              [mbShowAction]="false"
                              [mbDataSelects]='listPositionGroup'
                              (mbEventEmit)="setFormValue($event, 'positionGroupIds')"
                              mbPlaceholder="{{'staffManager.report.positionGroup' | translate }}"
                              mbLabelText="{{'staffManager.report.positionGroup' | translate}}"></mb-select-check-able>
      </div>

      <!--Khu vực-->
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <mb-select-check-able formControlName='regionCodes'
                              [mbKeyValueStringType]="true"
                              [mbShowAction]="false"
                              [mbDataSelects]='listOrgRegions'
                              (mbEventEmit)="setFormValue($event, 'regionCodes')"
                              mbPlaceholder="{{'staffManager.report.orgRegions' | translate }}"
                              mbLabelText="{{'staffManager.report.orgRegions' | translate}}"></mb-select-check-able>
      </div>

      <!--line-->
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <mb-select-check-able formControlName='lineIds'
                              [mbKeyValueStringType]="true"
                              [mbDataSelects]='listLine'
                              [mbShowAction]="false"
                              (mbEventEmit)="setFormValue($event, 'lineIds')"
                              mbPlaceholder="{{'staffManager.report.line' | translate }}"
                              mbLabelText="{{'staffManager.report.line' | translate}}"></mb-select-check-able>
      </div>

      <div nz-col [nzXs]='24' [nzLg]='12' *ngIf="checkCode(); else: element">
        <mb-date-picker
          formControlName="reportDate"
          mbLabelText="{{'staffManager.report.reportDate' | translate}}"
          [mbType]="form.controls['reportDate'].errors ? 'error' : 'default'"
          [mbShowError]="form.controls['reportDate'].errors !== null"
          [mbErrors]="form.controls['reportDate'].errors"
          mbPlaceholderText="{{'staffManager.report.reportDate' | translate}}"
        >
        </mb-date-picker>
      </div>
      <ng-template #element>
        <div nz-col [nzXs]='24' [nzLg]='12'>
        </div>
        <div nz-col [nzXs]='24' [nzLg]='12'>
          <mb-date-picker
            [mbType]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.['rangeDateError']) ? 'error' : 'default'"
            [mbShowError]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.['rangeDateError']) != null"
            [mbErrors]="form.errors?.['rangeDateError'] ? form.errors : form.controls['fromDate'].errors"
            [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.fromDate' | translate }},
          { errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
          {'fromDate': 'staffManager.table.fromDate' | translate, 'toDate': 'staffManager.table.toDate' | translate}}
          ]"
            mbPlaceholderText="{{'staffManager.table.fromDate' | translate}}"
            mbLabelText="{{'staffManager.table.fromDate' | translate}}"
            formControlName="fromDate"></mb-date-picker>
        </div>
        <div nz-col [nzXs]='24' [nzLg]='12'>
          <mb-date-picker
            [mbType]="isSubmitted && (form.controls['toDate'].errors || form.errors?.['rangeDateError']) ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['toDate'].errors != null"
            [mbErrors]="form.controls['toDate'].errors"
            [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.toDate' | translate }}]"
            mbPlaceholderText="{{'staffManager.table.toDate' | translate}}"
            mbLabelText="{{'staffManager.table.toDate' | translate}}"
            formControlName="toDate"></mb-date-picker>
        </div>
      </ng-template>

      <!--    End Form tìm kiếm-->
    </div>
    <div nz-row [nzGutter]="[30,30]" class='btn-center'>
      <div nz-col nzXs="24" nzLg="24">
        <mb-button
          mbButtonSize="SMALL"
          mbButtonAvailableStyle="SEARCH"
          mbButtonText="{{'staffManager.report.export' | translate}}"
          (click)="doExport()"
        ></mb-button>
      </div>
    </div>
  </form>
</div>
